Ubuntu

[MASTER] Update fails with invalid package files with "Encountered a section with no Package: header"

Reported by RonParent on 2009-03-21
This bug affects 661 people
Affects Status Importance Assigned to Milestone
apt (Debian)
Fix Released
Undecided
Unassigned
apt (Ubuntu)
High
Unassigned
Natty
High
Unassigned
Precise
High
Unassigned

Bug Description

Binary package hint: adept-updater

Pertinent data printed when attempting to run Updater as follows:

An unresolvable problem occurred while initializing the package information.

Please report this bug against the 'update-manager' package and include the following error message:

'E:Encountered a section with no Package: header, E:Problem with MergeList /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_intrepid_universe_binary-amd64_Packages, E:The package lists or status file could not be parsed or opened.'

WORKAROUND:
Remove problematic files from /var/lib/apt/lists/ and rerun apt-get update.

In the event that one is connected to a network with a proxy server that returns html pages (like a web page requesting you to login) and not package list files. Those html files will get downloaded to /var/lib/apt/lists/ and prevent someone from using a package manager until the problem html pages are removed.

TEST CASE:
1) download the dummy-proxy attachment from this bug report
2
) run dummy-proxy (python dummy-proxy) on a precise system (this simulates a proxy that is not allowing access to archive.ubuntu.com and gives you garbage html instead)
2.5) Execute 'sudo -i' in a terminal
3) Execute 'http_proxy=http://localhost:8080 apt-get update' in same terminal
4) Observe the following error messages in your terminal:
W: GPG error: http://archive.ubuntu.com precise InRelease: File /var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists_precise_InRelease doesn't start with a clearsigned message
W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/precise/multiverse/i18n/Index No Hash entry in Release file /var/lib/apt/lists/partial/ archive.ubuntu.com_ubuntu_dists_precise_multiverse_i18n_Index
W: Failed to fetch gzip:/var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists_precise_multiverse_source_Sources Encountered a section with no Package: header
5) Stop dummy-proxy
6) Execute 'sudo apt-get update' in a terminal
7) Observe the following error message:
Reading package lists... Done
W: GPG error: http://archive.ubuntu.com precise Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <email address hidden>
8) Remove the problematic files in /var/lib/apt/lists (sudo rm /var/lib/apt/lists/*)

Install apt from -proposed
1) run dummy-proxy (python dummy-proxy) on a precise system (this simulates a proxy that is not allowing access to archive.ubuntu.com and gives you garbarge html instead)
1.5) Execute 'sudo -i' in a terminal
2) Execute 'http_proxy=http://localhost:8080 apt-get update' in same terminal
3) Observe the following error messages in your terminal:
W: A error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http:// archive.ubuntu.com precise Release: The following signatures were invalid: NODATA 1 NODATA 2
W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/precise/Release
W: Some index files failed to download. They have been ignored, or old ones used instead.
4) Stop dummy-proxy
5) Execute 'sudo apt-get update' in a terminal
6) Observe the update succeed

mp (m-p) wrote :

I confirm this bug. It started today.
2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:57:59 UTC 2009 i686 GNU/Linux

All updates done. Proposed NOT enabled.

It prevents Synaptic and Update-Manager GUIs to run. They shut down upon encountering the error.

From terminal it looks like this:

$ sudo aptitude update
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/ftp.heanet.ie_pub_ubuntu_dists_jaunty-updates_main_binary-i386_Packages
E: The package lists or status file could not be parsed or opened.
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/ftp.heanet.ie_pub_ubuntu_dists_jaunty-updates_main_binary-i386_Packages
E: The package lists or status file could not be parsed or opened.

apt-get returns the same
Update Manager returns more or less the same in the GUI:

'E:Encountered a section with no Package: header, E:Problem with MergeList /var/lib/apt/lists/ftp.heanet.ie_pub_ubuntu_dists_jaunty-updates_main_binary-i386_Packages, E:The package lists or status file could not be parsed or opened.'

It is a duplicate of https://bugs.launchpad.net/bugs/358012 reported in Synaptic. And it is not repository specific as suggested in some places.

It is an old bug it seems, fixed in 2003, that has come back:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=195301 - where it says:
"This bug was fixed in 0.8.5 with the help of Matt Zimmermann."

Following these instructions works for some (from http://oclug.on.ca/archives/linux/2007-February/001056.html):

cd /var/lib/dpkg
sudo mv status status-bad
sudo cp status-old status

sudo apt-get update
apt-get upgrade

For others this was also needed:
sudo rm -f /var/lib/dpkg/lock

While for the rest of us nothing seems to work so far!

In other words: CONFIRMED

mp (m-p) wrote :

This bug is confirmed - and also filed as a bug in Synaptic

Changed in adept (Ubuntu):
status: New → Confirmed
mp (m-p) wrote :

In one of the duplicates the following is suggested to fix the problem:

sudo cd /var/lib/apt/lists/
sudo rm archive.ubuntu.com_ubuntu_dists_jaunty_universe_binary-i386_Packages

also the same for all packages filled with HTLM from the modem
when finished with it, just update.......
hope it helps

from: https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/370294/comments/1

mp (m-p) wrote :

The solution above fixes the problem for me:
https://bugs.launchpad.net/ubuntu/+source/update-manager/+bug/370294/comments/1

For someone not used to command line operations, from the terminal just do:

gksu nautilus (it will ask for your pwd)

Then navigate to /var/lib/apt/lists

Choose: "View" --> "List"
(can also be done via CTRL+2)

....and then click on "Type" in the Nautilus interface in order to get all files of the same kind to line up with each other.

Mark/highlight all the files of the type HTML and delete them. (I actually copied them to another folder just in case they were needed, but they once they are gone all is fine (for me)).

Finally:

sudo aptitude update (or run your usual GUI).
sudo aptitude dist-upgrade

Jonathan Thomas (echidnaman) wrote :

So... a dpkg bug then?

affects: adept (Ubuntu) → dpkg (Ubuntu)

Yes, if dpkg is the (most) underlying element of the package management
architectures.

Jonathan Thomas wrote:
> So... a dpkg bug then?
>
> ** Package changed: adept (Ubuntu) => dpkg (Ubuntu)
>

Got this error today.
E:Encountered a section with no Package: header, E:Problem with MergeList /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_natty_main_binary-amd64_Packages, E:The package lists or status file could not be parsed or opened.

Raphaël Hertzog (hertzog) wrote :

This all looks like corrupted Packages files... and it's not at all a problem in dpkg. The "E:" error messages come from APT.

If anything it's APT that can be improved to deal better with invalid Packages files. For example it could refuse to put them in place after having downloaded them if they are invalid.

affects: dpkg (Ubuntu) → apt (Ubuntu)
Marty (martin-e-duke) wrote :

I am having this issue as well

Roy Jamison (xteejx) on 2011-05-07
Changed in apt (Ubuntu):
importance: Undecided → Medium
summary: - Updater won't run - "Encountered a section with no Package: header"
+ Update fails with invalid package files with "Encountered a section with
+ no Package: header"

Confirmed on:
Linux ubuntu 2.6.38-8-generic #42-Ubuntu SMP x86_64 x86_64 x86_64 GNU/Linux

The fix above (remove html from /var/lib/apt/lists/) worked for me.

J21bernas (j21bernas) wrote :

E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_natty_multiverse_binary-i386_Packages
E: The package lists or status file could not be parsed or opened.
E: _cache->open() failed, please report.

help me with this guys!!!

all the above solutions won't work.....help me please!!!

thanks in advance

Julian Andres Klode (juliank) wrote :

This is a bug report, not a user support channel.

Changed in apt (Ubuntu):
status: Confirmed → Triaged
Changed in apt (Debian):
status: Unknown → Fix Released
Changed in apt (Ubuntu):
status: Triaged → Opinion
status: Opinion → Incomplete
summary: - Update fails with invalid package files with "Encountered a section with
- no Package: header"
+ [MASTER] Update fails with invalid package files with "Encountered a
+ section with no Package: header"
Changed in apt (Ubuntu):
status: Incomplete → Triaged
AndrewW (c7borg) wrote :

the solution by mp wrote on 2009-06-17 worked for me - thanks for the simpleton solution at the end of the day I just want to use Ubuntu :)

redrabbit (redrabbit) wrote :

Many files in /var/lib/apt/lists was empty, so i copied them from another machine with the same distribution and then i was able to run synaptic and update as before.

Vladimir Dergachev (volodya-k) wrote :

I have just been bitten by this myself. After some poking around I realized what happened - I was connected to hotel's wireless which has one of these DNS redirect paywalls. The package manager tried to download the package lists before the connection was unauthorized and got copies of the paywall page which apt choked on.

There needs to be a check that a downloaded package list is actually a package list.

Christopher (soft-kristal) wrote :

That's similar to what happened to me - I was in a hospital with a guest access. RedSingularity gave me these to fix it:

sudo rm /var/lib/apt/lists/ca.archive.ubuntu.com_ubuntu_dists_natty_main_binary-i386_Packages

..then

sudo rm -r /var/lib/apt/lists/*

Raising importance because it affect lot of users in Natty.
Related debian bug http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=627642

Changed in apt (Ubuntu):
importance: Medium → High
Julian Andres Klode (juliank) wrote :

Early patch. Causes APT to reject invalid package files (thus not having a Package field in the first section). Does not help if the Package file is invalid in the middle though, this would be too hard to check.

Changed in apt (Ubuntu):
assignee: nobody → Julian Andres Klode (juliank)
status: Triaged → In Progress
Julian Andres Klode (juliank) wrote :

Version 2 of the patch. This catches errors for translation indexes as well, and aborts earlier in case gpg gives us a NODATA response.

Julian Andres Klode (juliank) wrote :

Fixed in the debian-sid branch

------------------------------------------------------------
revno: 2126
revision-id: <email address hidden>
parent: <email address hidden>
fixes bug(s): http://bugs.debian.org/195301 https://launchpad.net/bugs/346386
committer: Julian Andres Klode <email address hidden>
branch nick: debian-sid
timestamp: Mon 2011-05-30 14:04:01 +0200
message:
  apt-pkg/acquire-item.cc: Reject files known to be invalid (LP: #346386) (Closes: #195301)

  This commit deals with the following cases:

    - First section of index file (Packages,Sources,Translation) without Package field
    - Signed release files without GPG data (NODATA)
    - i18n/Index files without hash sums

  Handling unsigned Release files is more complicated, and the example code
  using indexRecords is disabled as it can reject correct Release files
  without hashes. How we can reliably check unsigned Release files is
  another question, and not urgent anyway, as it should have no
  dramatic effect (we could check that it is a valid RFC-822 section,
  but that's a bit too long to write)

Changed in apt (Debian):
importance: Unknown → Undecided
status: Fix Released → New
importance: Undecided → Unknown
status: New → Unknown
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apt - 0.8.14.1ubuntu4

---------------
apt (0.8.14.1ubuntu4) oneiric; urgency=low

  [ Julian Andres Klode ]
  * apt-pkg/acquire-item.cc:
    - Reject files known to be invalid (LP: #346386) (Closes: #627642)
 -- Michael Vogt <email address hidden> Mon, 30 May 2011 17:12:27 +0200

Changed in apt (Ubuntu):
status: In Progress → Fix Released
Stefan Maimescu (superman) wrote :

I have this bug too on Ubuntu 11.04 !!!
Update-manager:
Could not initialize the package information

An unresolvable problem occurred while initializing the package information.

Please report this bug against the 'update-manager' package and include the following error message:

'E:Encountered a section with no Package: header,
E:Problem with MergeList
/var/lib/apt/lists/archive.canonical.com_ubuntu_dists_natty_partner_binary-i386_Packages,
E:The package lists or status file could not be parsed or opened.'

Terminal:
Reading package lists... Error!
E: Encountered a section with no Package: header
E: Problem with MergeList /var/lib/apt/lists/archive.canonical.com_ubuntu_dists_natty_partner_binary-i386_Packages
E: The package lists or status file could not be parsed or opened.

Stefan Maimescu (superman) wrote :

Update:

I fixed that! my provider needs a login and password [one day] when I acces addresses from other countries... and the updater makes update files with

<!-------------------------------------------------------------------->
<!-- Copyright (c) 2001-2004 by Cisco Systems, Inc. All rights reserved. -->
<!-------------------------------------------------------------------->
<!-- /pages/accountLogon.jsp
<!-------------------------------------------------------------------->
<!-- This page authenticates a SESMSession user/account.
<!-- The user is asked for their username and password.
<!-------------------------------------------------------------------->
<!-- Author: Ken Jarrad
<!-------------------------------------------------------------------->

Fritz Kassner (fritz-kassner) wrote :

I reported this bug for Ubuntu 11.04 too (bug #788150).
The problem was successfully fixed by the method described by mp 2009-06-11 (#3). I deleted all HTML-files in /var/lib/apt/lists/.

Many thanks for feedback much appreciated

On Thu, May 26, 2011 at 3:03 PM, Jean-Baptiste Lallement <
<email address hidden>> wrote:

> ** Summary changed:
>
> - Update fails with invalid package files with "Encountered a section with
> no Package: header"
> + [MASTER] Update fails with invalid package files with "Encountered a
> section with no Package: header"
>
> ** Changed in: apt (Ubuntu)
> Status: Incomplete => Triaged
>
> --
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (784812).
> https://bugs.launchpad.net/bugs/346386
>
> Title:
> [MASTER] Update fails with invalid package files with "Encountered a
> section with no Package: header"
>
> Status in “apt” package in Ubuntu:
> Triaged
> Status in “apt” package in Debian:
> Fix Released
>
> Bug description:
> Binary package hint: adept-updater
>
> Pertinent data printed when attempting to run Updater as follows:
>
> An unresolvable problem occurred while initializing the package
> information.
>
> Please report this bug against the 'update-manager' package and
> include the following error message:
>
> 'E:Encountered a section with no Package: header, E:Problem with
> MergeList /var/lib/apt/lists/us.archive.ubuntu
> .com_ubuntu_dists_intrepid_universe_binary-amd64_Packages, E:The
> package lists or status file could not be parsed or opened.'
>
> Ubuntu 8.10
>
> Need workaround to permit updating - usual apt-get commands (clean,
> update) haven't worked; message as follows:
>
> Reading package lists... Error!
> E: Encountered a section with no Package: header
> E: Problem with MergeList
> /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_intrepid_universe_binary-amd64_Packages
> E: The package lists or status file could not be parsed or opened.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/apt/+bug/346386/+subscribe
>

--
love and peace x

Julian Andres Klode (juliank) wrote :

Stop commenting me too style. The problem is know, a fix for broken systems exists, and it is prevented in oneiric. If you are affected by this as well, click on "Does this bug affect you?" at the top of the site.

Brian Murray (brian-murray) wrote :

Julian is the 2nd version of the patch that is attached to the bug report something that would be possible to backport so we can get updated packages in Lucid and Natty?

Hi

I'm new to Ubuntu and not sure about how to resolve the issue. Can someone give any pointers to make the Update functionality working again
I'm using version 11.04

Thanks in Advance

S Venkata Srikanth

________________________________
From: Brian Murray <email address hidden>
To: <email address hidden>
Sent: Thursday, 9 June 2011 2:12 AM
Subject: [Bug 346386] Re: [MASTER] Update fails with invalid package files with "Encountered a section with no Package: header"

Julian is the 2nd version of the patch that is attached to the bug
report something that would be possible to backport so we can get
updated packages in Lucid and Natty?

--
You received this bug notification because you are a direct subscriber
of a duplicate bug (789952).
https://bugs.launchpad.net/bugs/346386

Title:
  [MASTER] Update fails with invalid package files with "Encountered a
  section with no Package: header"

Status in “apt” package in Ubuntu:
  Fix Released
Status in “apt” package in Debian:
  Unknown

Bug description:
  Binary package hint: adept-updater

  Pertinent data printed when attempting to run Updater as follows:

  An unresolvable problem occurred while initializing the package
  information.

  Please report this bug against the 'update-manager' package and
  include the following error message:

  'E:Encountered a section with no Package: header, E:Problem with
  MergeList /var/lib/apt/lists/us.archive.ubuntu
  .com_ubuntu_dists_intrepid_universe_binary-amd64_Packages, E:The
  package lists or status file could not be parsed or opened.'

  Ubuntu 8.10

  Need workaround to permit updating - usual apt-get commands (clean,
  update) haven't worked; message as follows:

  Reading package lists... Error!
  E: Encountered a section with no Package: header
  E: Problem with MergeList /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_intrepid_universe_binary-amd64_Packages
  E: The package lists or status file could not be parsed or opened.

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/346386/+subscribe

Xillix (xillix) wrote :

I had this issue and fixed it by the following. Make sure you are authenticated before running the rm.

sudo rm /var/lib/apt/lists/* -vf
sudo apt-get clean
sudo apt-get update
sudo apt-get upgrade

rjonnal (rjonnal) wrote :

Xillix,

Thank you--it worked like a charm. In fact, I don't think the upgrade is necessary. Once I deleted everything and then ran update, the update-manager appeared and looked functional.

It's strange--I had tried the same thing with just the offending list, which in my case was

us.archive.ubuntu.com_ubuntu_dists_natty_main_binary-amd64_Packages

I did:

sudo rm /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_natty_main_binary-amd64_Packages
sudo apt-get update

And that didn't work. The newly downloaded version of us.archive.ubuntu.com_ubuntu_dists_natty_main_binary-amd64_Packages also caused the "section with no Package: header" error.

I'm not sure whether the crucial thing is 'clean' or removing all the lists.

Anyway, thank you very much!

-Ravi

Teddy (ted-saker-law) wrote :

Dear Xillix:

Thank you very much for your suggestion. Like Ravi, I didn't have to
run upgrade, but running rm, clean and update gave the Update Manager
the defibrillation it needed in order to resume what appears to be
normal operation.

On 06/09/2011 09:19 PM, Xillix wrote:
> I had this issue and fixed it by the following. Make sure you are
> authenticated before running the rm.
>
> sudo rm /var/lib/apt/lists/* -vf
> sudo apt-get clean
> sudo apt-get update
> sudo apt-get upgrade
>

Changed in apt (Ubuntu Natty):
importance: Undecided → High
status: New → Triaged
description: updated
Med Idriss Taki (takidriss) wrote :

Thank you all of you
I had this bug too on Ubuntu 11.04.
Now it is fixed with this:

> sudo rm /var/lib/apt/lists/* -vf
> sudo apt-get clean
> sudo apt-get update
> sudo apt-get upgrade

God bless you

jim carlson (carxfrog) wrote :
Download full text (3.3 KiB)

Absolutely perfect solution. Worked extremely well. I knew I had a problem with one of the files, and it should have been deleted. However I didn't known about clean, update and upgrade (which I guess is what the Update-Manager does).

Thank you for the quick response.

JIM

> Date: Tue, 14 Jun 2011 16:40:21 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 346386] Re: [MASTER] Update fails with invalid package files with "Encountered a section with no Package: header"
>
> Thank you all of you
> I had this bug too on Ubuntu 11.04.
> Now it is fixed with this:
>
> > sudo rm /var/lib/apt/lists/* -vf
> > sudo apt-get clean
> > sudo apt-get update
> > sudo apt-get upgrade
>
> God bless you
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (796583).
> https://bugs.launchpad.net/bugs/346386
>
> Title:
> [MASTER] Update fails with invalid package files with "Encountered a
> section with no Package: header"
>
> Status in “apt” package in Ubuntu:
> Fix Released
> Status in “apt” source package in Natty:
> Triaged
> Status in “apt” package in Debian:
> Unknown
>
> Bug description:
> Binary package hint: adept-updater
>
> Pertinent data printed when attempting to run Updater as follows:
>
> An unresolvable problem occurred while initializing the package
> information.
>
> Please report this bug against the 'update-manager' package and
> include the following error message:
>
> 'E:Encountered a section with no Package: header, E:Problem with
> MergeList /var/lib/apt/lists/us.archive.ubuntu
> .com_ubuntu_dists_intrepid_universe_binary-amd64_Packages, E:The
> package lists or status file could not be parsed or opened.'
>
> WORKAROUND:
> Remove problematic files from /var/lib/apt/lists/ and rerun apt-get update.
>
> In the event that one is connected to a network with a proxy server
> that returns html pages (like a web page requesting you to login) and
> not package list files. Those html files will get downloaded to
> /var/lib/apt/lists/ and prevent someone from using a package manager
> until the problem html pages are removed.
>
> TEST CASE:
> 1) Ensure /etc/apt/sources.list points to archive.ubuntu.com
> 2) Setup proxy server to block access to archive.ubuntu.com and return something like http://people.canonical.com/~brian/tmp/not-packages.html
> 3) Execute 'sudo apt-get update' in a terminal
> 4) Observe the following:
> 'E: Encountered a section with no Package: header
> E: Problem with MergeList /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_natty_main_binary-amd64_Packages
> E: The package lists or status file could not be parsed or opened.'
> 5) Try 'apt-cache policy apt' and be sad that it doesn't work
>
> With the proposed package installed repeat steps 1 to 3.
> 4) Observe the following:
> ''Get:1 http://archive.ubuntu.com oneiric InRelease [189 B]
> Ign http://archive.ubuntu.com oneiric InRelease
> E: GPG error: http://archive.ubuntu.com oneiric InRelease: The following signatures were invalid: NODATA 1 NODATA 2'
> 5) Try 'apt-cache policy apt' and be happy that ...

Read more...

Brian Murray (brian-murray) wrote :

Attached is a debdiff suitable for SRU to Natty.

Dalison Rocha (dalisonsr68) wrote :

Obrigado!(Thank you!)

2011/6/14 Med Idriss Taki <email address hidden>

> Thank you all of you
> I had this bug too on Ubuntu 11.04.
> Now it is fixed with this:
>
> > sudo rm /var/lib/apt/lists/* -vf
> > sudo apt-get clean
> > sudo apt-get update
> > sudo apt-get upgrade
>
> God bless you
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (796740).
> https://bugs.launchpad.net/bugs/346386
>
> Title:
> [MASTER] Update fails with invalid package files with "Encountered a
> section with no Package: header"
>
> Status in “apt” package in Ubuntu:
> Fix Released
> Status in “apt” source package in Natty:
> Triaged
> Status in “apt” package in Debian:
> Unknown
>
> Bug description:
> Binary package hint: adept-updater
>
> Pertinent data printed when attempting to run Updater as follows:
>
> An unresolvable problem occurred while initializing the package
> information.
>
> Please report this bug against the 'update-manager' package and
> include the following error message:
>
> 'E:Encountered a section with no Package: header, E:Problem with
> MergeList /var/lib/apt/lists/us.archive.ubuntu
> .com_ubuntu_dists_intrepid_universe_binary-amd64_Packages, E:The
> package lists or status file could not be parsed or opened.'
>
> WORKAROUND:
> Remove problematic files from /var/lib/apt/lists/ and rerun apt-get
> update.
>
> In the event that one is connected to a network with a proxy server
> that returns html pages (like a web page requesting you to login) and
> not package list files. Those html files will get downloaded to
> /var/lib/apt/lists/ and prevent someone from using a package manager
> until the problem html pages are removed.
>
> TEST CASE:
> 1) Ensure /etc/apt/sources.list points to archive.ubuntu.com
> 2) Setup proxy server to block access to archive.ubuntu.com and return
> something like http://people.canonical.com/~brian/tmp/not-packages.html
> 3) Execute 'sudo apt-get update' in a terminal
> 4) Observe the following:
> 'E: Encountered a section with no Package: header
> E: Problem with MergeList
> /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_natty_main_binary-amd64_Packages
> E: The package lists or status file could not be parsed or opened.'
> 5) Try 'apt-cache policy apt' and be sad that it doesn't work
>
> With the proposed package installed repeat steps 1 to 3.
> 4) Observe the following:
> ''Get:1 http://archive.ubuntu.com oneiric InRelease [189 B]
> Ign http://archive.ubuntu.com oneiric InRelease
> E: GPG error: http://archive.ubuntu.com oneiric InRelease: The following
> signatures were invalid: NODATA 1 NODATA 2'
> 5) Try 'apt-cache policy apt' and be happy that it works
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/apt/+bug/346386/+subscriptions
>

Dalison Rocha (dalisonsr68) wrote :
Download full text (6.0 KiB)

Obrigado!(Thank you!)

2011/6/14 jim carlson <email address hidden>

> Absolutely perfect solution. Worked extremely well. I knew I had a
> problem with one of the files, and it should have been deleted. However I
> didn't known about clean, update and upgrade (which I guess is what the
> Update-Manager does).
>
> Thank you for the quick response.
>
> JIM
>
> > Date: Tue, 14 Jun 2011 16:40:21 +0000
> > From: <email address hidden>
> > To: <email address hidden>
> > Subject: [Bug 346386] Re: [MASTER] Update fails with invalid package
> files with "Encountered a section with no Package: header"
> >
> > Thank you all of you
> > I had this bug too on Ubuntu 11.04.
> > Now it is fixed with this:
> >
> > > sudo rm /var/lib/apt/lists/* -vf
> > > sudo apt-get clean
> > > sudo apt-get update
> > > sudo apt-get upgrade
> >
> > God bless you
> >
> > --
> > You received this bug notification because you are subscribed to a
> > duplicate bug report (796583).
> > https://bugs.launchpad.net/bugs/346386
> >
> > Title:
> > [MASTER] Update fails with invalid package files with "Encountered a
> > section with no Package: header"
> >
> > Status in “apt” package in Ubuntu:
> > Fix Released
> > Status in “apt” source package in Natty:
> > Triaged
> > Status in “apt” package in Debian:
> > Unknown
> >
> > Bug description:
> > Binary package hint: adept-updater
> >
> > Pertinent data printed when attempting to run Updater as follows:
> >
> > An unresolvable problem occurred while initializing the package
> > information.
> >
> > Please report this bug against the 'update-manager' package and
> > include the following error message:
> >
> > 'E:Encountered a section with no Package: header, E:Problem with
> > MergeList /var/lib/apt/lists/us.archive.ubuntu
> > .com_ubuntu_dists_intrepid_universe_binary-amd64_Packages, E:The
> > package lists or status file could not be parsed or opened.'
> >
> > WORKAROUND:
> > Remove problematic files from /var/lib/apt/lists/ and rerun apt-get
> update.
> >
> > In the event that one is connected to a network with a proxy server
> > that returns html pages (like a web page requesting you to login) and
> > not package list files. Those html files will get downloaded to
> > /var/lib/apt/lists/ and prevent someone from using a package manager
> > until the problem html pages are removed.
> >
> > TEST CASE:
> > 1) Ensure /etc/apt/sources.list points to archive.ubuntu.com
> > 2) Setup proxy server to block access to archive.ubuntu.com and return
> something like http://people.canonical.com/~brian/tmp/not-packages.html
> > 3) Execute 'sudo apt-get update' in a terminal
> > 4) Observe the following:
> > 'E: Encountered a section with no Package: header
> > E: Problem with MergeList
> /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_natty_main_binary-amd64_Packages
> > E: The package lists or status file could not be parsed or opened.'
> > 5) Try 'apt-cache policy apt' and be sad that it doesn't work
> >
> > With the proposed package installed repeat steps 1 to 3.
> > 4) Observe the following:
> > ''Get:1 http://archive.ubuntu.com oneiric InRelease [189 B]
> ...

Read more...

Dalison Rocha (dalisonsr68) wrote :

Obrigado!(Thank you!)

2011/6/14 Brian Murray <email address hidden>

> Attached is a debdiff suitable for SRU to Natty.
>
> ** Patch added: "apt_0.8.13.2ubuntu4.debdiff"
>
> https://bugs.launchpad.net/ubuntu/+source/apt/+bug/346386/+attachment/2169144/+files/apt_0.8.13.2ubuntu4.debdiff
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (796740).
> https://bugs.launchpad.net/bugs/346386
>
> Title:
> [MASTER] Update fails with invalid package files with "Encountered a
> section with no Package: header"
>
> Status in “apt” package in Ubuntu:
> Fix Released
> Status in “apt” source package in Natty:
> Triaged
> Status in “apt” package in Debian:
> Unknown
>
> Bug description:
> Binary package hint: adept-updater
>
> Pertinent data printed when attempting to run Updater as follows:
>
> An unresolvable problem occurred while initializing the package
> information.
>
> Please report this bug against the 'update-manager' package and
> include the following error message:
>
> 'E:Encountered a section with no Package: header, E:Problem with
> MergeList /var/lib/apt/lists/us.archive.ubuntu
> .com_ubuntu_dists_intrepid_universe_binary-amd64_Packages, E:The
> package lists or status file could not be parsed or opened.'
>
> WORKAROUND:
> Remove problematic files from /var/lib/apt/lists/ and rerun apt-get
> update.
>
> In the event that one is connected to a network with a proxy server
> that returns html pages (like a web page requesting you to login) and
> not package list files. Those html files will get downloaded to
> /var/lib/apt/lists/ and prevent someone from using a package manager
> until the problem html pages are removed.
>
> TEST CASE:
> 1) Ensure /etc/apt/sources.list points to archive.ubuntu.com
> 2) Setup proxy server to block access to archive.ubuntu.com and return
> something like http://people.canonical.com/~brian/tmp/not-packages.html
> 3) Execute 'sudo apt-get update' in a terminal
> 4) Observe the following:
> 'E: Encountered a section with no Package: header
> E: Problem with MergeList
> /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_natty_main_binary-amd64_Packages
> E: The package lists or status file could not be parsed or opened.'
> 5) Try 'apt-cache policy apt' and be sad that it doesn't work
>
> With the proposed package installed repeat steps 1 to 3.
> 4) Observe the following:
> ''Get:1 http://archive.ubuntu.com oneiric InRelease [189 B]
> Ign http://archive.ubuntu.com oneiric InRelease
> E: GPG error: http://archive.ubuntu.com oneiric InRelease: The following
> signatures were invalid: NODATA 1 NODATA 2'
> 5) Try 'apt-cache policy apt' and be happy that it works
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/apt/+bug/346386/+subscriptions
>

PMPope (3dgelabs) wrote :

Thanks for the help! It worked like a charm!

Pace e bene
Philip

*MultiMedia*

by *P*M*P*o*p*e

[image: Creative Commons
License]<http://creativecommons.org/licenses/by-nc-sa/3.0/>
Works by PMPope 2011

by PMPope, Philip M.
Pope<http://creativecommons.org/choose/www.edgedata.blogspot.com>

is licensed under a
<http://creativecommons.org/licenses/by-nc-sa/3.0/>

Creative Commons Attribution-NonCommercial-ShareAlike
<http://creativecommons.org/licenses/by-nc-sa/3.0/>

3.0 Unported License <http://creativecommons.org/licenses/by-nc-sa/3.0/>.

*704-726-2780*

*2011*
Signature powered by
<http://www.wisestamp.com/email-install?utm_source=extension&utm_medium=email&utm_campaign=footer>
WiseStamp<http://www.wisestamp.com/email-install?utm_source=extension&utm_medium=email&utm_campaign=footer>

On Thu, Jun 9, 2011 at 9:19 PM, Xillix <email address hidden> wrote:

> I had this issue and fixed it by the following. Make sure you are
> authenticated before running the rm.
>
> sudo rm /var/lib/apt/lists/* -vf
> sudo apt-get clean
> sudo apt-get update
> sudo apt-get upgrade
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (791696).
> https://bugs.launchpad.net/bugs/346386
>
> Title:
> [MASTER] Update fails with invalid package files with "Encountered a
> section with no Package: header"
>
> Status in “apt” package in Ubuntu:
> Fix Released
> Status in “apt” package in Debian:
> Unknown
>
> Bug description:
> Binary package hint: adept-updater
>
> Pertinent data printed when attempting to run Updater as follows:
>
> An unresolvable problem occurred while initializing the package
> information.
>
> Please report this bug against the 'update-manager' package and
> include the following error message:
>
> 'E:Encountered a section with no Package: header, E:Problem with
> MergeList /var/lib/apt/lists/us.archive.ubuntu
> .com_ubuntu_dists_intrepid_universe_binary-amd64_Packages, E:The
> package lists or status file could not be parsed or opened.'
>
> Ubuntu 8.10
>
> Need workaround to permit updating - usual apt-get commands (clean,
> update) haven't worked; message as follows:
>
> Reading package lists... Error!
> E: Encountered a section with no Package: header
> E: Problem with MergeList
> /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_intrepid_universe_binary-amd64_Packages
> E: The package lists or status file could not be parsed or opened.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/apt/+bug/346386/+subscriptions
>

I fixed this bug.
Thank you.

(2011年06月17日 02:51), Dalison Rocha wrote:
> Obrigado!(Thank you!)
>
> 2011/6/14 Med Idriss Taki<email address hidden>
>
>> Thank you all of you
>> I had this bug too on Ubuntu 11.04.
>> Now it is fixed with this:
>>
>>> sudo rm /var/lib/apt/lists/* -vf
>>> sudo apt-get clean
>>> sudo apt-get update
>>> sudo apt-get upgrade
>> God bless you
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (796740).
>> https://bugs.launchpad.net/bugs/346386
>>
>> Title:
>> [MASTER] Update fails with invalid package files with "Encountered a
>> section with no Package: header"
>>
>> Status in “apt” package in Ubuntu:
>> Fix Released
>> Status in “apt” source package in Natty:
>> Triaged
>> Status in “apt” package in Debian:
>> Unknown
>>
>> Bug description:
>> Binary package hint: adept-updater
>>
>> Pertinent data printed when attempting to run Updater as follows:
>>
>> An unresolvable problem occurred while initializing the package
>> information.
>>
>> Please report this bug against the 'update-manager' package and
>> include the following error message:
>>
>> 'E:Encountered a section with no Package: header, E:Problem with
>> MergeList /var/lib/apt/lists/us.archive.ubuntu
>> .com_ubuntu_dists_intrepid_universe_binary-amd64_Packages, E:The
>> package lists or status file could not be parsed or opened.'
>>
>> WORKAROUND:
>> Remove problematic files from /var/lib/apt/lists/ and rerun apt-get
>> update.
>>
>> In the event that one is connected to a network with a proxy server
>> that returns html pages (like a web page requesting you to login) and
>> not package list files. Those html files will get downloaded to
>> /var/lib/apt/lists/ and prevent someone from using a package manager
>> until the problem html pages are removed.
>>
>> TEST CASE:
>> 1) Ensure /etc/apt/sources.list points to archive.ubuntu.com
>> 2) Setup proxy server to block access to archive.ubuntu.com and return
>> something like http://people.canonical.com/~brian/tmp/not-packages.html
>> 3) Execute 'sudo apt-get update' in a terminal
>> 4) Observe the following:
>> 'E: Encountered a section with no Package: header
>> E: Problem with MergeList
>> /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_natty_main_binary-amd64_Packages
>> E: The package lists or status file could not be parsed or opened.'
>> 5) Try 'apt-cache policy apt' and be sad that it doesn't work
>>
>> With the proposed package installed repeat steps 1 to 3.
>> 4) Observe the following:
>> ''Get:1 http://archive.ubuntu.com oneiric InRelease [189 B]
>> Ign http://archive.ubuntu.com oneiric InRelease
>> E: GPG error: http://archive.ubuntu.com oneiric InRelease: The following
>> signatures were invalid: NODATA 1 NODATA 2'
>> 5) Try 'apt-cache policy apt' and be happy that it works
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/ubuntu/+source/apt/+bug/346386/+subscriptions
>>

Michael Vogt (mvo) on 2011-06-21
Changed in apt (Ubuntu Natty):
status: Triaged → In Progress
Martin Pitt (pitti) on 2011-06-24
Changed in apt (Ubuntu Natty):
status: In Progress → Fix Committed
tags: added: verification-needed
Steve Langasek (vorlon) on 2011-06-27
description: updated
tags: added: verification-done
removed: verification-needed
Sumudu (sptennakoon) on 2011-06-27
Changed in apt (Ubuntu Natty):
status: Fix Committed → Fix Released
Changed in apt (Ubuntu Natty):
status: Fix Released → Fix Committed
Changed in apt (Ubuntu):
assignee: Julian Andres Klode (juliank) → Heru Herdianto (herdiantoheru-yahoo)
Changed in apt (Ubuntu Natty):
assignee: nobody → Heru Herdianto (herdiantoheru-yahoo)
Changed in apt (Debian):
importance: Unknown → Undecided
status: Unknown → New
assignee: nobody → Heru Herdianto (herdiantoheru-yahoo)
status: New → Fix Released
Changed in apt (Ubuntu Natty):
status: Fix Committed → Fix Released
papukaija (papukaija) on 2011-06-29
Changed in apt (Debian):
assignee: Heru Herdianto (herdiantoheru-yahoo) → papukaija (papukaija)
Changed in apt (Ubuntu):
assignee: Heru Herdianto (herdiantoheru-yahoo) → papukaija (papukaija)
Changed in apt (Ubuntu Natty):
assignee: Heru Herdianto (herdiantoheru-yahoo) → papukaija (papukaija)
Changed in apt (Debian):
assignee: papukaija (papukaija) → nobody
Changed in apt (Ubuntu Natty):
assignee: papukaija (papukaija) → nobody
Changed in apt (Ubuntu):
assignee: papukaija (papukaija) → nobody
Changed in apt (Ubuntu Natty):
status: Fix Released → Fix Committed
Changed in apt (Ubuntu Natty):
status: Fix Committed → Fix Released
papukaija (papukaija) on 2011-07-10
tags: added: metabug
Steve Langasek (vorlon) on 2012-06-06
Changed in apt (Ubuntu):
status: Fix Released → Triaged
40 comments hidden view all 119 comments
Michael Vogt (mvo) wrote :

Meh, the patch in #79 will need work as the string is a translated string.

Julian Andres Klode (juliank) wrote :

Why is this bug being reused for totally distinct things? This bug was about invalid files being copied to the /var/lib/apt/lists, not about something else about InRelease files. This bug should be closed again, and a new bug should be opened for that other stuff, that actually explains what the new problem is about.

Brian Murray (brian-murray) wrote :

The reason that we reopened this bug report is that we are seeing duplicates of it reported from precise users, which should have a fixed version of apt installed. Using the tool lp-bug-dupe-properties from lptools we can see the following:

./lp-bug-dupe-properties --bug 346386 --rtags

precise: 946692 948744 967411 989262 989270 989293 989602 996030 1001769 1001932 1006103

Of those bug 1006103 has the most details.

I am also able to recreate this bug by performing the following steps:

1) Edit some packages file in /var/lib/apt/lists/ to be missing a Package: line or just remove the whole file
2) Run 'sudo apt-get update'
3) Observe the message 'Encountered a section with no Package: header' … 'Problem with MergeList'

I took the above steps instead of trying to create a proxy server that would block access to the archive. Even if this test is bad it is still worrisome that we are actively receiving duplicates of this bug.

Brian Murray (brian-murray) wrote :

When I said remove the whole file I meant remove the contents of the file.

Robert Schroll (rschroll) wrote :

I can confirm this bug on a brand-new install of 12.04. The files of /var/lib/apt/lists/ all seem to contain the text about logging in from the proxy server. Clearing out this directory solves the problem.

abdullahi (abdupesi) on 2012-07-24
Changed in apt (Ubuntu Natty):
assignee: nobody → abdullahi (abdupesi)
Changed in apt (Ubuntu Natty):
assignee: abdullahi (abdupesi) → nobody

Thanks the workaround helped me. I am running ubuntu 12.04......

tags: added: rls-q-incoming
Gustavo Hernandez (ghernand67) wrote :

Hello, good afternoon Marc.
  Thank you so much for your directions, I appreciate it. Fortunately I resolve the problem about the bug in apt-get, so my laptop is up and running now. Thanks again for your time and consideration. Actions like yours consolidate the essence of Open Access!

Sincerely,

Gustavo

________________________________
 De: Marc Deslauriers <email address hidden>
Para: <email address hidden>
Enviado: Sábado, 11 de agosto, 2012 14:09:12
Asunto: [Bug 346386] Re: [MASTER] Update fails with invalid package files with "Encountered a section with no Package: header"

** Tags added: rls-q-incoming

--
You received this bug notification because you are subscribed to a
duplicate bug report (1033958).
https://bugs.launchpad.net/bugs/346386

Title:
  [MASTER] Update fails with invalid package files with "Encountered a
  section with no Package: header"

Status in “apt” package in Ubuntu:
  Triaged
Status in “apt” source package in Natty:
  Fix Released
Status in “apt” package in Debian:
  Fix Released

Bug description:
  Binary package hint: adept-updater

  Pertinent data printed when attempting to run Updater as follows:

  An unresolvable problem occurred while initializing the package
  information.

  Please report this bug against the 'update-manager' package and
  include the following error message:

  'E:Encountered a section with no Package: header, E:Problem with
  MergeList /var/lib/apt/lists/us.archive.ubuntu
  .com_ubuntu_dists_intrepid_universe_binary-amd64_Packages, E:The
  package lists or status file could not be parsed or opened.'

  WORKAROUND:
  Remove problematic files from /var/lib/apt/lists/ and rerun apt-get update.

  In the event that one is connected to a network with a proxy server
  that returns html pages (like a web page requesting you to login) and
  not package list files.  Those html files will get downloaded to
  /var/lib/apt/lists/ and prevent someone from using a package manager
  until the problem html pages are removed.

  TEST CASE:
  1) Ensure /etc/apt/sources.list points to archive.ubuntu.com
  2) Setup proxy server to block access to archive.ubuntu.com and return something like http://people.canonical.com/~brian/tmp/not-packages.html
  3) Execute 'sudo apt-get update' in a terminal
  4) Observe the following:
  'E: Encountered a section with no Package: header
   E: Problem with MergeList /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_natty_main_binary-amd64_Packages
   E: The package lists or status file could not be parsed or opened.'
  5) Try 'apt-cache policy apt' and be sad that it doesn't work
  6) run 'sudo rm /var/lib/apt/lists/*Packages' to clear the error.

  With the proposed package installed repeat steps 1 to 3.
  4) Observe the following:
  ''Get:1 http://archive.ubuntu.com oneiric InRelease [189 B]
  Ign http://archive.ubuntu.com oneiric InRelease
  E: GPG error: http://archive.ubuntu.com oneiric InRelease: The following signatures were invalid: NODATA 1 NODATA 2'
  5) Try 'apt-cache policy apt' and be happy that it works

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/346386/+subscriptions

I have a 12.04, installed shortly after the release and kept up to date. Yesterday I was connected to a network with a proxy of the kind described in the bug description above and today I saw the error message. The issue was easiily solved removing the files as described in the workaround.

My conclusion would be that the bug is still around...

thanks!
v.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apt - 0.9.7.5ubuntu2

---------------
apt (0.9.7.5ubuntu2) quantal; urgency=low

  Merged from lp:~donkult/apt/experimental:

  [ David Kalnischkies ]
  * apt-pkg/contrib/strutl.cc:
    - support \n and \r\n line endings in ReadMessages

  [ Michael Vogt ]
  * lp:~mvo/apt/webserver-simulate-broken-with-fix346386:
    - merge fix for LP: #346386

  Merged from http://bzr.debian.org/bzr/apt/apt/debian-sid:

  [ David Kalnischkies ]
  * apt-pkg/cdrom.cc:
    - copy only configured translation files from a CD-ROM and not all
      available translation files preventing new installs with d-i from
      being initialized with all translations (Closes: #678227)
    - handle Components in the reduction for the source.list as multi-arch CDs
      otherwise create duplicated source entries (e.g. "wheezy main main")
  * apt-pkg/packagemanager.cc:
    - unpack versions only in case a different version from the package
      is currently in unpack state to recover from broken system states
      (like different file in M-A:same package and other dpkg errors)
      and avoid re-unpack otherwise (Closes: #670900)
  * debian/control:
    - let libapt-pkg break apt < 0.9.4 to ensure that the installed http-
      method supports the new redirection-style, thanks to Raphael Geissert
      for reporting & testing (Closes: #685192)
  * doc/apt_preferences.5.xml:
    - use the correct interval (x <= P < y) for pin value documentation as
      these are the intervals used by the code (Closes: #685989)
  * apt-pkg/indexcopy.cc:
    - do not create duplicated flat-archive CD-ROM sources for foreign
      architectures on multi-arch CD-ROMs
    - do not warn about files which have a record in the Release file, but
      are not present on the CD to mirror the behavior of the other methods
      and to allow uncompressed indexes to be dropped without scaring users
 -- Michael Vogt <email address hidden> Tue, 04 Sep 2012 15:42:09 +0200

Changed in apt (Ubuntu):
status: Triaged → Fix Released

Has that been released yet? If so, I call shenanigans as this bug still exists. Case in point: I update my system everyday between 12pm-3pm Eastern Time. Yet, I had to use the workaround for this bug as recently as yesterday (September 5, 2012).

Rod J (rod-jamieson) wrote :

This bug is still affecting me in Kubuntu 12.04 (it's happened twice this week). The workaround is fine but why on earth can't the update manager check that it is actually connected with a bona-fide update server before downloading anything?

Rod J, good question. My system is behind a corporate Barracuda firewall that resets access every day at midnight. At LEAST once a week, sometimes daily, I encounter this bug. If this was truly fixed, would it continue to occur? When I update my system daily?

Download full text (4.9 KiB)

Thank you, appreciated.

On 6 September 2012 20:36, Launchpad Bug Tracker
<email address hidden>wrote:

> This bug was fixed in the package apt - 0.9.7.5ubuntu2
>
> ---------------
> apt (0.9.7.5ubuntu2) quantal; urgency=low
>
> Merged from lp:~donkult/apt/experimental:
>
> [ David Kalnischkies ]
> * apt-pkg/contrib/strutl.cc:
> - support \n and \r\n line endings in ReadMessages
>
> [ Michael Vogt ]
> * lp:~mvo/apt/webserver-simulate-broken-with-fix346386:
> - merge fix for LP: #346386
>
>
> Merged from http://bzr.debian.org/bzr/apt/apt/debian-sid:
>
> [ David Kalnischkies ]
> * apt-pkg/cdrom.cc:
> - copy only configured translation files from a CD-ROM and not all
> available translation files preventing new installs with d-i from
> being initialized with all translations (Closes: #678227)
> - handle Components in the reduction for the source.list as multi-arch
> CDs
> otherwise create duplicated source entries (e.g. "wheezy main main")
> * apt-pkg/packagemanager.cc:
> - unpack versions only in case a different version from the package
> is currently in unpack state to recover from broken system states
> (like different file in M-A:same package and other dpkg errors)
> and avoid re-unpack otherwise (Closes: #670900)
> * debian/control:
> - let libapt-pkg break apt < 0.9.4 to ensure that the installed http-
> method supports the new redirection-style, thanks to Raphael Geissert
> for reporting & testing (Closes: #685192)
> * doc/apt_preferences.5.xml:
> - use the correct interval (x <= P < y) for pin value documentation as
> these are the intervals used by the code (Closes: #685989)
> * apt-pkg/indexcopy.cc:
> - do not create duplicated flat-archive CD-ROM sources for foreign
> architectures on multi-arch CD-ROMs
> - do not warn about files which have a record in the Release file, but
> are not present on the CD to mirror the behavior of the other methods
> and to allow uncompressed indexes to be dropped without scaring users
> -- Michael Vogt <email address hidden> Tue, 04 Sep 2012 15:42:09
> +0200
>
> ** Changed in: apt (Ubuntu)
> Status: Triaged => Fix Released
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1000848).
> https://bugs.launchpad.net/bugs/346386
>
> Title:
> [MASTER] Update fails with invalid package files with "Encountered a
> section with no Package: header"
>
> Status in “apt” package in Ubuntu:
> Fix Released
> Status in “apt” source package in Natty:
> Fix Released
> Status in “apt” package in Debian:
> Fix Released
>
> Bug description:
> Binary package hint: adept-updater
>
> Pertinent data printed when attempting to run Updater as follows:
>
> An unresolvable problem occurred while initializing the package
> information.
>
> Please report this bug against the 'update-manager' package and
> include the following error message:
>
> 'E:Encountered a section with no Package: header, E:Problem with
> MergeList /var/lib/apt/lists/us.archive.ubuntu
> .com_ubuntu_dists_intrepid_universe_binary-amd64_Pac...

Read more...

Ursula Junque (ursinha) wrote :

I'm using quantal and I can confirm it still happens. (I'd mark the bug as affecting me too, but LP is timing out consistently)

Using apt version 0.9.7.5ubuntu2.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in apt (Ubuntu Precise):
status: New → Confirmed
Changed in apt (Ubuntu Precise):
status: Confirmed → Fix Committed
importance: Undecided → High
Brian Murray (brian-murray) wrote :

Attached you'll find dummy-proxy referred to in the test case and from Colin Watson in bug 24061.

description: updated
Download full text (8.9 KiB)

Has this bug been fixed or not and if it is has been fixed is the
update available with Update Manager?

I had the same problem recently whilst doing an update with the Update
Manager of 12.04 LTS and had to resort to the work around to fix it.

In fact, "sudo rm /var/lib/apt/lists/*" did not remove the
.../lists/partial directory but I left it and did the "sudo apt-get
update" successfully.

Hope someone can find a permanent solution to this.

Kayode

On 10/10/12, Brian Murray <email address hidden> wrote:
> Attached you'll find dummy-proxy referred to in the test case and from
> Colin Watson in bug 24061.
>
> ** Description changed:
>
> Binary package hint: adept-updater
>
> Pertinent data printed when attempting to run Updater as follows:
>
> An unresolvable problem occurred while initializing the package
> information.
>
> Please report this bug against the 'update-manager' package and include
> the following error message:
>
> 'E:Encountered a section with no Package: header, E:Problem with
> MergeList /var/lib/apt/lists/us.archive.ubuntu
> .com_ubuntu_dists_intrepid_universe_binary-amd64_Packages, E:The package
> lists or status file could not be parsed or opened.'
>
> WORKAROUND:
> Remove problematic files from /var/lib/apt/lists/ and rerun apt-get
> update.
>
> In the event that one is connected to a network with a proxy server that
> returns html pages (like a web page requesting you to login) and not
> package list files. Those html files will get downloaded to
> /var/lib/apt/lists/ and prevent someone from using a package manager
> until the problem html pages are removed.
>
> TEST CASE:
> - 1) Ensure /etc/apt/sources.list points to archive.ubuntu.com
> - 2) Setup proxy server to block access to archive.ubuntu.com and return
> something like http://people.canonical.com/~brian/tmp/not-packages.html
> - 3) Execute 'sudo apt-get update' in a terminal
> - 4) Observe the following:
> - 'E: Encountered a section with no Package: header
> - E: Problem with MergeList
> /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_natty_main_binary-amd64_Packages
> - E: The package lists or status file could not be parsed or opened.'
> - 5) Try 'apt-cache policy apt' and be sad that it doesn't work
> - 6) run 'sudo rm /var/lib/apt/lists/*Packages' to clear the error.
> + 1) download the dummy-proxy attachment from this bug report
> + 2) run dummy-proxy (python dummy-proxy) on a precise system (this
> simulates a proxy that is not allowing access to archive.ubuntu.com and
> gives you garbage html instead)
> + 3) Execute 'http://localhost:8080 sudo apt-get update' in a terminal
> + 4) Observe the following error messages in your terminal:
> + W: GPG error: http://archive.ubuntu.com precise InRelease: File
> /var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists_precise_InRelease
> doesn't start with a clearsigned message
> + W: Failed to fetch
> http://archive.ubuntu.com/ubuntu/dists/precise/multiverse/i18n/Index No
> Hash entry in Release file /var/lib/apt/lists/partial/
> archive.ubuntu.com_ubuntu_dists_precise_multiverse_i18n_Index
> + W: Failed to fetch
> gzip:/var/lib/apt/lists/partial/archive.ubuntu.c...

Read more...

Download full text (13.7 KiB)

Hi Kayode.

Pls close case then.

Thank you,

_________________________________________________________________________
Privileged / Confidential information may be contained in this message. If you are not the intended recipient, you must not copy, distribute or use it for any purpose, nor disclose its contents to any other person. Please notify the sender immediately if you have received this in error.

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Kayode Odusote
Sent: Thursday, October 11, 2012 5:11 PM
To: Ricarte Malda Jr
Subject: Re: [Bug 346386] Re: [MASTER] Update fails with invalid package files with "Encountered a section with no Package: header"

Has this bug been fixed or not and if it is has been fixed is the update available with Update Manager?

I had the same problem recently whilst doing an update with the Update Manager of 12.04 LTS and had to resort to the work around to fix it.

In fact, "sudo rm /var/lib/apt/lists/*" did not remove the .../lists/partial directory but I left it and did the "sudo apt-get update" successfully.

Hope someone can find a permanent solution to this.

Kayode

On 10/10/12, Brian Murray <email address hidden> wrote:
> Attached you'll find dummy-proxy referred to in the test case and from
> Colin Watson in bug 24061.
>
> ** Description changed:
>
> Binary package hint: adept-updater
>
> Pertinent data printed when attempting to run Updater as follows:
>
> An unresolvable problem occurred while initializing the package
> information.
>
> Please report this bug against the 'update-manager' package and include
> the following error message:
>
> 'E:Encountered a section with no Package: header, E:Problem with
> MergeList /var/lib/apt/lists/us.archive.ubuntu
> .com_ubuntu_dists_intrepid_universe_binary-amd64_Packages, E:The package
> lists or status file could not be parsed or opened.'
>
> WORKAROUND:
> Remove problematic files from /var/lib/apt/lists/ and rerun apt-get
> update.
>
> In the event that one is connected to a network with a proxy server that
> returns html pages (like a web page requesting you to login) and not
> package list files. Those html files will get downloaded to
> /var/lib/apt/lists/ and prevent someone from using a package manager
> until the problem html pages are removed.
>
> TEST CASE:
> - 1) Ensure /etc/apt/sources.list points to archive.ubuntu.com
> - 2) Setup proxy server to block access to archive.ubuntu.com and
> return something like
> http://people.canonical.com/~brian/tmp/not-packages.html
> - 3) Execute 'sudo apt-get update' in a terminal
> - 4) Observe the following:
> - 'E: Encountered a section with no Package: header
> - E: Problem with MergeList
> /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_natty_main_binary-a
> md64_Packages
> - E: The package lists or status file could not be parsed or opened.'
> - 5) Try 'apt-cache policy apt' and be sad that it doesn't work
> - 6) run 'sudo rm /var/lib/apt/lists/*Packages' to clear the error.
> + 1) download the dummy-proxy attac...

Download full text (17.8 KiB)

Dear Ric,

If we close the case now then it would never be fixed and we would be
dependent of the work around permanently.

Kayode

On 10/11/12, ric <email address hidden> wrote:
> Hi Kayode.
>
> Pls close case then.
>
>
> Thank you,
>
>
>
> _________________________________________________________________________
> Privileged / Confidential information may be contained in this message. If
> you are not the intended recipient, you must not copy, distribute or use it
> for any purpose, nor disclose its contents to any other person. Please
> notify the sender immediately if you have received this in error.
>
>
>
>
>
>
>
>
> -----Original Message-----
> From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
> Kayode Odusote
> Sent: Thursday, October 11, 2012 5:11 PM
> To: Ricarte Malda Jr
> Subject: Re: [Bug 346386] Re: [MASTER] Update fails with invalid package
> files with "Encountered a section with no Package: header"
>
> Has this bug been fixed or not and if it is has been fixed is the update
> available with Update Manager?
>
> I had the same problem recently whilst doing an update with the Update
> Manager of 12.04 LTS and had to resort to the work around to fix it.
>
> In fact, "sudo rm /var/lib/apt/lists/*" did not remove the
> .../lists/partial directory but I left it and did the "sudo apt-get
> update" successfully.
>
> Hope someone can find a permanent solution to this.
>
> Kayode
>
>
> On 10/10/12, Brian Murray <email address hidden> wrote:
>> Attached you'll find dummy-proxy referred to in the test case and from
>> Colin Watson in bug 24061.
>>
>> ** Description changed:
>>
>> Binary package hint: adept-updater
>>
>> Pertinent data printed when attempting to run Updater as follows:
>>
>> An unresolvable problem occurred while initializing the package
>> information.
>>
>> Please report this bug against the 'update-manager' package and include
>> the following error message:
>>
>> 'E:Encountered a section with no Package: header, E:Problem with
>> MergeList /var/lib/apt/lists/us.archive.ubuntu
>> .com_ubuntu_dists_intrepid_universe_binary-amd64_Packages, E:The
>> package
>> lists or status file could not be parsed or opened.'
>>
>> WORKAROUND:
>> Remove problematic files from /var/lib/apt/lists/ and rerun apt-get
>> update.
>>
>> In the event that one is connected to a network with a proxy server
>> that
>> returns html pages (like a web page requesting you to login) and not
>> package list files. Those html files will get downloaded to
>> /var/lib/apt/lists/ and prevent someone from using a package manager
>> until the problem html pages are removed.
>>
>> TEST CASE:
>> - 1) Ensure /etc/apt/sources.list points to archive.ubuntu.com
>> - 2) Setup proxy server to block access to archive.ubuntu.com and
>> return something like
>> http://people.canonical.com/~brian/tmp/not-packages.html
>> - 3) Execute 'sudo apt-get update' in a terminal
>> - 4) Observe the following:
>> - 'E: Encountered a section with no Package: header
>> - E: Problem with MergeList
>> /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_natty_main_binary-a
>> md64_Packages
>> - E: The package lists or status file...

Download full text (13.4 KiB)

the bug fixed, you are right about "sudo rm /var/lib/apt/lists/*" did not
remove the
.../lists/partial directory but the "sudo apt-get update" worked and now i
don't have any problem.

thank you

On Thu, Oct 11, 2012 at 10:10 AM, Kayode Odusote
<email address hidden>wrote:

> Has this bug been fixed or not and if it is has been fixed is the
> update available with Update Manager?
>
> I had the same problem recently whilst doing an update with the Update
> Manager of 12.04 LTS and had to resort to the work around to fix it.
>
> In fact, "sudo rm /var/lib/apt/lists/*" did not remove the
> .../lists/partial directory but I left it and did the "sudo apt-get
> update" successfully.
>
> Hope someone can find a permanent solution to this.
>
> Kayode
>
>
>
> On 10/10/12, Brian Murray <email address hidden> wrote:
> > Attached you'll find dummy-proxy referred to in the test case and from
> > Colin Watson in bug 24061.
> >
> > ** Description changed:
> >
> > Binary package hint: adept-updater
> >
> > Pertinent data printed when attempting to run Updater as follows:
> >
> > An unresolvable problem occurred while initializing the package
> > information.
> >
> > Please report this bug against the 'update-manager' package and include
> > the following error message:
> >
> > 'E:Encountered a section with no Package: header, E:Problem with
> > MergeList /var/lib/apt/lists/us.archive.ubuntu
> > .com_ubuntu_dists_intrepid_universe_binary-amd64_Packages, E:The
> package
> > lists or status file could not be parsed or opened.'
> >
> > WORKAROUND:
> > Remove problematic files from /var/lib/apt/lists/ and rerun apt-get
> > update.
> >
> > In the event that one is connected to a network with a proxy server
> that
> > returns html pages (like a web page requesting you to login) and not
> > package list files. Those html files will get downloaded to
> > /var/lib/apt/lists/ and prevent someone from using a package manager
> > until the problem html pages are removed.
> >
> > TEST CASE:
> > - 1) Ensure /etc/apt/sources.list points to archive.ubuntu.com
> > - 2) Setup proxy server to block access to archive.ubuntu.com and return
> > something like http://people.canonical.com/~brian/tmp/not-packages.html
> > - 3) Execute 'sudo apt-get update' in a terminal
> > - 4) Observe the following:
> > - 'E: Encountered a section with no Package: header
> > - E: Problem with MergeList
> >
> /var/lib/apt/lists/archive.ubuntu.com_ubuntu_dists_natty_main_binary-amd64_Packages
> > - E: The package lists or status file could not be parsed or opened.'
> > - 5) Try 'apt-cache policy apt' and be sad that it doesn't work
> > - 6) run 'sudo rm /var/lib/apt/lists/*Packages' to clear the error.
> > + 1) download the dummy-proxy attachment from this bug report
> > + 2) run dummy-proxy (python dummy-proxy) on a precise system (this
> > simulates a proxy that is not allowing access to archive.ubuntu.com and
> > gives you garbage html instead)
> > + 3) Execute 'http://localhost:8080 sudo apt-get update' in a terminal
> > + 4) Observe the following error messages in your terminal:
> > + W: GPG error: http://archive.ubuntu.com precise InRelease: File
> >
> ...

Brian Murray (brian-murray) wrote :

This bug report has multiple 'tasks' for the different releases in which it needs to be fixed. We have fixed this in the Quantal release of Ubuntu which will become 12.10. We are also actively working on fixing this in the 12.04 release of Ubuntu. When an updated version of apt is in the -proposed repository for 12.04 there will be a comment made on this bug report and it will contain information about how you can help test the fix so that we can move the package to the -updates repository.

Hello RonParent, or anyone else affected,

Accepted apt into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/apt/0.8.16~exp12ubuntu10.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed

Brian
Thanks for this.
When I go to delete the file I don’t have permission.
Why is that, can you help.
Thanks
Chris Hunt

On 10/10/12 22:17, Brian Murray wrote:
> ** Changed in: apt (Ubuntu Precise)
> Status: Confirmed => Fix Committed
>
> ** Changed in: apt (Ubuntu Precise)
> Importance: Undecided => High
>

Manuel Spuhler (mspuhler35) wrote :

Hey Chris

You can delete it in the Terminal with root:
"sudo rm /..."
or you can open Nautilus with root:
"sudo nautilus"
an there delete it.

Bye
Manuel Spuhler

Am 12.10.2012 09:25, schrieb Chris Hunt:
> Brian
> Thanks for this.
> When I go to delete the file I don’t have permission.
> Why is that, can you help.
> Thanks
> Chris Hunt
>
>
> On 10/10/12 22:17, Brian Murray wrote:
>> ** Changed in: apt (Ubuntu Precise)
>> Status: Confirmed => Fix Committed
>>
>> ** Changed in: apt (Ubuntu Precise)
>> Importance: Undecided => High
>>

David Parry (d-dry-parry) wrote :
Download full text (4.3 KiB)

sudo before the command then you will
David Parry

On Fri, Oct 12, 2012 at 3:25 AM, Chris Hunt <email address hidden> wrote:
> Brian
> Thanks for this.
> When I go to delete the file I don’t have permission.
> Why is that, can you help.
> Thanks
> Chris Hunt
>
>
> On 10/10/12 22:17, Brian Murray wrote:
>> ** Changed in: apt (Ubuntu Precise)
>> Status: Confirmed => Fix Committed
>>
>> ** Changed in: apt (Ubuntu Precise)
>> Importance: Undecided => High
>>
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1064994).
> https://bugs.launchpad.net/bugs/346386
>
> Title:
> [MASTER] Update fails with invalid package files with "Encountered a
> section with no Package: header"
>
> Status in “apt” package in Ubuntu:
> Fix Released
> Status in “apt” source package in Natty:
> Fix Released
> Status in “apt” source package in Precise:
> Fix Committed
> Status in “apt” package in Debian:
> Fix Released
>
> Bug description:
> Binary package hint: adept-updater
>
> Pertinent data printed when attempting to run Updater as follows:
>
> An unresolvable problem occurred while initializing the package
> information.
>
> Please report this bug against the 'update-manager' package and
> include the following error message:
>
> 'E:Encountered a section with no Package: header, E:Problem with
> MergeList /var/lib/apt/lists/us.archive.ubuntu
> .com_ubuntu_dists_intrepid_universe_binary-amd64_Packages, E:The
> package lists or status file could not be parsed or opened.'
>
> WORKAROUND:
> Remove problematic files from /var/lib/apt/lists/ and rerun apt-get update.
>
> In the event that one is connected to a network with a proxy server
> that returns html pages (like a web page requesting you to login) and
> not package list files. Those html files will get downloaded to
> /var/lib/apt/lists/ and prevent someone from using a package manager
> until the problem html pages are removed.
>
> TEST CASE:
> 1) download the dummy-proxy attachment from this bug report
> 2) run dummy-proxy (python dummy-proxy) on a precise system (this simulates a proxy that is not allowing access to archive.ubuntu.com and gives you garbage html instead)
> 3) Execute 'http://localhost:8080 sudo apt-get update' in a terminal
> 4) Observe the following error messages in your terminal:
> W: GPG error: http://archive.ubuntu.com precise InRelease: File /var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists_precise_InRelease doesn't start with a clearsigned message
> W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/precise/multiverse/i18n/Index No Hash entry in Release file /var/lib/apt/lists/partial/ archive.ubuntu.com_ubuntu_dists_precise_multiverse_i18n_Index
> W: Failed to fetch gzip:/var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists_precise_multiverse_source_Sources Encountered a section with no Package: header
> 5) Stop dummy-proxy
> 6) Execute 'sudo apt-get update' in a terminal
> 7) Observe the following error message:
> Reading package lists... Done
> W: GPG error: http://archive.ubuntu.com precise Release: The following sign...

Read more...

Download full text (8.5 KiB)

Couldn't we ask everyone to stop using the "reply to all" button?

----- Original Message -----
From: "David Parry" <email address hidden>
To: <email address hidden>
Sent: Friday, October 12, 2012 2:00 PM
Subject: Re: [Bug 346386] Re: [MASTER] Update fails with invalid package
fileswith "Encountered a section with no Package: header"

sudo before the command then you will
David Parry

On Fri, Oct 12, 2012 at 3:25 AM, Chris Hunt <email address hidden>
wrote:
> Brian
> Thanks for this.
> When I go to delete the file I don’t have permission.
> Why is that, can you help.
> Thanks
> Chris Hunt
>
>
> On 10/10/12 22:17, Brian Murray wrote:
>> ** Changed in: apt (Ubuntu Precise)
>> Status: Confirmed => Fix Committed
>>
>> ** Changed in: apt (Ubuntu Precise)
>> Importance: Undecided => High
>>
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1064994).
> https://bugs.launchpad.net/bugs/346386
>
> Title:
> [MASTER] Update fails with invalid package files with "Encountered a
> section with no Package: header"
>
> Status in “apt” package in Ubuntu:
> Fix Released
> Status in “apt” source package in Natty:
> Fix Released
> Status in “apt” source package in Precise:
> Fix Committed
> Status in “apt” package in Debian:
> Fix Released
>
> Bug description:
> Binary package hint: adept-updater
>
> Pertinent data printed when attempting to run Updater as follows:
>
> An unresolvable problem occurred while initializing the package
> information.
>
> Please report this bug against the 'update-manager' package and
> include the following error message:
>
> 'E:Encountered a section with no Package: header, E:Problem with
> MergeList /var/lib/apt/lists/us.archive.ubuntu
> .com_ubuntu_dists_intrepid_universe_binary-amd64_Packages, E:The
> package lists or status file could not be parsed or opened.'
>
> WORKAROUND:
> Remove problematic files from /var/lib/apt/lists/ and rerun apt-get
> update.
>
> In the event that one is connected to a network with a proxy server
> that returns html pages (like a web page requesting you to login) and
> not package list files. Those html files will get downloaded to
> /var/lib/apt/lists/ and prevent someone from using a package manager
> until the problem html pages are removed.
>
> TEST CASE:
> 1) download the dummy-proxy attachment from this bug report
> 2) run dummy-proxy (python dummy-proxy) on a precise system (this
> simulates a proxy that is not allowing access to archive.ubuntu.com and
> gives you garbage html instead)
> 3) Execute 'http://localhost:8080 sudo apt-get update' in a terminal
> 4) Observe the following error messages in your terminal:
> W: GPG error: http://archive.ubuntu.com precise InRelease: File
> /var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists_precise_InRelease
> doesn't start with a clearsigned message
> W: Failed to fetch
> http://archive.ubuntu.com/ubuntu/dists/precise/multiverse/i18n/Index No
> Hash entry in Release file /var/lib/apt/lists/partial/
> archive.ubuntu.com_ubuntu_dists_precise_multiverse_i18n_Index
> W: Failed to fetch
> gzip:/v...

Read more...

Download full text (12.8 KiB)

No CHOICE. Who does one reply to?

On 10/12/12, Les H <email address hidden> wrote:
> Couldn't we ask everyone to stop using the "reply to all" button?
>
> ----- Original Message -----
> From: "David Parry" <email address hidden>
> To: <email address hidden>
> Sent: Friday, October 12, 2012 2:00 PM
> Subject: Re: [Bug 346386] Re: [MASTER] Update fails with invalid package
> fileswith "Encountered a section with no Package: header"
>
>
> sudo before the command then you will
> David Parry
>
>
> On Fri, Oct 12, 2012 at 3:25 AM, Chris Hunt <email address hidden>
> wrote:
>> Brian
>> Thanks for this.
>> When I go to delete the file I don’t have permission.
>> Why is that, can you help.
>> Thanks
>> Chris Hunt
>>
>>
>> On 10/10/12 22:17, Brian Murray wrote:
>>> ** Changed in: apt (Ubuntu Precise)
>>> Status: Confirmed => Fix Committed
>>>
>>> ** Changed in: apt (Ubuntu Precise)
>>> Importance: Undecided => High
>>>
>>
>> --
>> You received this bug notification because you are subscribed to a
>> duplicate bug report (1064994).
>> https://bugs.launchpad.net/bugs/346386
>>
>> Title:
>> [MASTER] Update fails with invalid package files with "Encountered a
>> section with no Package: header"
>>
>> Status in “apt” package in Ubuntu:
>> Fix Released
>> Status in “apt” source package in Natty:
>> Fix Released
>> Status in “apt” source package in Precise:
>> Fix Committed
>> Status in “apt” package in Debian:
>> Fix Released
>>
>> Bug description:
>> Binary package hint: adept-updater
>>
>> Pertinent data printed when attempting to run Updater as follows:
>>
>> An unresolvable problem occurred while initializing the package
>> information.
>>
>> Please report this bug against the 'update-manager' package and
>> include the following error message:
>>
>> 'E:Encountered a section with no Package: header, E:Problem with
>> MergeList /var/lib/apt/lists/us.archive.ubuntu
>> .com_ubuntu_dists_intrepid_universe_binary-amd64_Packages, E:The
>> package lists or status file could not be parsed or opened.'
>>
>> WORKAROUND:
>> Remove problematic files from /var/lib/apt/lists/ and rerun apt-get
>> update.
>>
>> In the event that one is connected to a network with a proxy server
>> that returns html pages (like a web page requesting you to login) and
>> not package list files. Those html files will get downloaded to
>> /var/lib/apt/lists/ and prevent someone from using a package manager
>> until the problem html pages are removed.
>>
>> TEST CASE:
>> 1) download the dummy-proxy attachment from this bug report
>> 2) run dummy-proxy (python dummy-proxy) on a precise system (this
>> simulates a proxy that is not allowing access to archive.ubuntu.com and
>> gives you garbage html instead)
>> 3) Execute 'http://localhost:8080 sudo apt-get update' in a terminal
>> 4) Observe the following error messages in your terminal:
>> W: GPG error: http://archive.ubuntu.com precise InRelease: File
>> /var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists_precise_InRelease
>>
>> doesn't start with a clearsigned message
>> W: Failed to fetch
>> http://archive.ubuntu.com/ubuntu/dists/precis...

Hello RonParent, or anyone else affected,

Accepted apt into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/apt/0.8.16~exp12ubuntu10.5 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Brian Murray (brian-murray) wrote :

Using apt version 0.8.16~exp12ubuntu10.5 from precise-proposed I followed the test case in the bug description and observed the behavior expected from the package in proposed and no longer received the merge list error message.

description: updated
tags: added: verification-done
removed: verification-needed
description: updated

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apt - 0.8.16~exp12ubuntu10.5

---------------
apt (0.8.16~exp12ubuntu10.5) precise-proposed; urgency=low

  * apt-pkg/pkgcachegen.cc:
    - Fix crash if the cache is remapped while writing a Provides version
      (LP: #1066445).

apt (0.8.16~exp12ubuntu10.4) precise-proposed; urgency=low

  [ David Kalnischkies ]
  * apt-pkg/packagemanager.cc:
    - do not run into loop on new-pre-depends-breaks (Closes: #673536)
      LP: #1050791
  * apt-pkg/cachefile.cc:
    - clean up lost atomic cachefiles with 'clean' (Closes: #650513)
      LP: #1050779

  [ TJ ]
  * apt-pkg/contrib/netrc.cc:
    - increase LOGINSIZE/PASSWORDSIZE limits and add proper error
      if the limits are reached (LP: #1065429)

  [ Michael Vogt ]
  * lp:~mvo/apt/lp346386-precise:
    - fail gracefully when a InRelease file is not valid, e.g. behind
      paywalls (LP: #346386)
 -- Colin Watson <email address hidden> Mon, 15 Oct 2012 05:42:45 +0100

Changed in apt (Ubuntu Precise):
status: Fix Committed → Fix Released
2 comments hidden view all 119 comments
madhani harsh (harshmadhani) wrote :
Download full text (8.6 KiB)

This is not a bug according to sites ranging from Google Safe Browsing to
Online Link Scan.Also manually the page's access is forbidden.

On 21 December 2012 21:10, Derek James <email address hidden> wrote:

> This link contains a Trojan according to Avast - some additional
> security please.
>
> Derek James
> <email address hidden>
> Mobile +44 7808 203859
> Home +44 1253 795979
> Skype derek.r.james
>
> -----Original Message-----
> From: <email address hidden> [mailto:<email address hidden>] On Behalf Of
> Tadhg McSherry
> Sent: 20 December 2012 04:43
> To: <email address hidden>
> Subject: [Bug 346386]
>
> http://mbgolfpros.com/images/google.html
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (997684).
> https://bugs.launchpad.net/bugs/346386
>
> Title:
> [MASTER] Update fails with invalid package files with "Encountered a
> section with no Package: header"
>
> Status in “apt” package in Ubuntu:
> Fix Released
> Status in “apt” source package in Natty:
> Fix Released
> Status in “apt” source package in Precise:
> Fix Released
> Status in “apt” package in Debian:
> Fix Released
>
> Bug description:
> Binary package hint: adept-updater
>
> Pertinent data printed when attempting to run Updater as follows:
>
> An unresolvable problem occurred while initializing the package
> information.
>
> Please report this bug against the 'update-manager' package and
> include the following error message:
>
> 'E:Encountered a section with no Package: header, E:Problem with
> MergeList /var/lib/apt/lists/us.archive.ubuntu
> .com_ubuntu_dists_intrepid_universe_binary-amd64_Packages, E:The
> package lists or status file could not be parsed or opened.'
>
> WORKAROUND:
> Remove problematic files from /var/lib/apt/lists/ and rerun apt-get
> update.
>
> In the event that one is connected to a network with a proxy server
> that returns html pages (like a web page requesting you to login) and
> not package list files. Those html files will get downloaded to
> /var/lib/apt/lists/ and prevent someone from using a package manager
> until the problem html pages are removed.
>
> TEST CASE:
> 1) download the dummy-proxy attachment from this bug report
> 2) run dummy-proxy (python dummy-proxy) on a precise system (this
> simulates a proxy that is not allowing access to archive.ubuntu.com and
> gives you garbage html instead)
> 2.5) Execute 'sudo -i' in a terminal
> 3) Execute 'http_proxy=http://localhost:8080 apt-get update' in same
> terminal
> 4) Observe the following error messages in your terminal:
> W: GPG error: http://archive.ubuntu.com precise InRelease: File
> /var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists_precise_InRelease
> doesn't start with a clearsigned message
> W: Failed to fetch
> http://archive.ubuntu.com/ubuntu/dists/precise/multiverse/i18n/Index No
> Hash entry in Release file /var/lib/apt/lists/partial/
> archive.ubuntu.com_ubuntu_dists_precise_multiverse_i18n_Index
> W: Failed to fetch
> gzip:/var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists...

Read more...

Vladimir Plotnikov (monomakh) wrote :

same problem on dist-upgrade from 13.04 to 13.10

Download full text (4.1 KiB)

Many thanks for the help, i'll try to do every step you advice me :-)

2013/10/17 Vladimir Plotnikov <email address hidden>

> same problem on dist-upgrade from 13.04 to 13.10
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1095148).
> https://bugs.launchpad.net/bugs/346386
>
> Title:
> [MASTER] Update fails with invalid package files with "Encountered a
> section with no Package: header"
>
> Status in “apt” package in Ubuntu:
> Fix Released
> Status in “apt” source package in Natty:
> Fix Released
> Status in “apt” source package in Precise:
> Fix Released
> Status in “apt” package in Debian:
> Fix Released
>
> Bug description:
> Binary package hint: adept-updater
>
> Pertinent data printed when attempting to run Updater as follows:
>
> An unresolvable problem occurred while initializing the package
> information.
>
> Please report this bug against the 'update-manager' package and
> include the following error message:
>
> 'E:Encountered a section with no Package: header, E:Problem with
> MergeList /var/lib/apt/lists/us.archive.ubuntu
> .com_ubuntu_dists_intrepid_universe_binary-amd64_Packages, E:The
> package lists or status file could not be parsed or opened.'
>
> WORKAROUND:
> Remove problematic files from /var/lib/apt/lists/ and rerun apt-get
> update.
>
> In the event that one is connected to a network with a proxy server
> that returns html pages (like a web page requesting you to login) and
> not package list files. Those html files will get downloaded to
> /var/lib/apt/lists/ and prevent someone from using a package manager
> until the problem html pages are removed.
>
> TEST CASE:
> 1) download the dummy-proxy attachment from this bug report
> 2) run dummy-proxy (python dummy-proxy) on a precise system (this
> simulates a proxy that is not allowing access to archive.ubuntu.com and
> gives you garbage html instead)
> 2.5) Execute 'sudo -i' in a terminal
> 3) Execute 'http_proxy=http://localhost:8080 apt-get update' in same
> terminal
> 4) Observe the following error messages in your terminal:
> W: GPG error: http://archive.ubuntu.com precise InRelease: File
> /var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists_precise_InRelease
> doesn't start with a clearsigned message
> W: Failed to fetch
> http://archive.ubuntu.com/ubuntu/dists/precise/multiverse/i18n/Index No
> Hash entry in Release file /var/lib/apt/lists/partial/
> archive.ubuntu.com_ubuntu_dists_precise_multiverse_i18n_Index
> W: Failed to fetch
> gzip:/var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists_precise_multiverse_source_Sources
> Encountered a section with no Package: header
> 5) Stop dummy-proxy
> 6) Execute 'sudo apt-get update' in a terminal
> 7) Observe the following error message:
> Reading package lists... Done
> W: GPG error: http://archive.ubuntu.com precise Release: The following
> signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic
> Signing Key <email address hidden>
> 8) Remove the problematic files in /var/lib/apt/lists (sudo rm
> /var/lib/apt/lists/*)
>
> Install apt from ...

Read more...

Dany (dany-kaiser-il) wrote :

The suggested work around was not correct in my case as there was a directory under the /lists directory named 'partial'. Work around was rmdir /var/lib/apt/lists/partial and then run apt-get update.

Reyes Elena (elenareyesg) wrote :
Download full text (4.4 KiB)

Merci beaucoup !
Avec votre méthode j'ai réussi à résoudre mon problème et cela est très gratifiant pour quelqu'un comme moi qui ne connais pas grand chose à l'informatique.
Aujourd'hui j'ai réalisé mon 1er. "update" depuis des mois.

Envoyé de mon iPad

Le 30 déc. 2013 à 11:09, Dany <email address hidden> a écrit :

> The suggested work around was not correct in my case as there was a
> directory under the /lists directory named 'partial'. Work around was
> rmdir /var/lib/apt/lists/partial and then run apt-get update.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1256126).
> https://bugs.launchpad.net/bugs/346386
>
> Title:
> [MASTER] Update fails with invalid package files with "Encountered a
> section with no Package: header"
>
> Status in “apt” package in Ubuntu:
> Fix Released
> Status in “apt” source package in Natty:
> Fix Released
> Status in “apt” source package in Precise:
> Fix Released
> Status in “apt” package in Debian:
> Fix Released
>
> Bug description:
> Binary package hint: adept-updater
>
> Pertinent data printed when attempting to run Updater as follows:
>
> An unresolvable problem occurred while initializing the package
> information.
>
> Please report this bug against the 'update-manager' package and
> include the following error message:
>
> 'E:Encountered a section with no Package: header, E:Problem with
> MergeList /var/lib/apt/lists/us.archive.ubuntu
> .com_ubuntu_dists_intrepid_universe_binary-amd64_Packages, E:The
> package lists or status file could not be parsed or opened.'
>
> WORKAROUND:
> Remove problematic files from /var/lib/apt/lists/ and rerun apt-get update.
>
> In the event that one is connected to a network with a proxy server
> that returns html pages (like a web page requesting you to login) and
> not package list files. Those html files will get downloaded to
> /var/lib/apt/lists/ and prevent someone from using a package manager
> until the problem html pages are removed.
>
> TEST CASE:
> 1) download the dummy-proxy attachment from this bug report
> 2) run dummy-proxy (python dummy-proxy) on a precise system (this simulates a proxy that is not allowing access to archive.ubuntu.com and gives you garbage html instead)
> 2.5) Execute 'sudo -i' in a terminal
> 3) Execute 'http_proxy=http://localhost:8080 apt-get update' in same terminal
> 4) Observe the following error messages in your terminal:
> W: GPG error: http://archive.ubuntu.com precise InRelease: File /var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists_precise_InRelease doesn't start with a clearsigned message
> W: Failed to fetch http://archive.ubuntu.com/ubuntu/dists/precise/multiverse/i18n/Index No Hash entry in Release file /var/lib/apt/lists/partial/ archive.ubuntu.com_ubuntu_dists_precise_multiverse_i18n_Index
> W: Failed to fetch gzip:/var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists_precise_multiverse_source_Sources Encountered a section with no Package: header
> 5) Stop dummy-proxy
> 6) Execute 'sudo apt-get update' in a terminal
> 7) Observe the following error message:
> Reading package lists... Done
>...

Read more...

fulvio (fulvio-parodi) wrote :
Download full text (4.3 KiB)

non sono in grado di farlo ora; grazie per i consigli e la disponibilità,
spero quanto prima di poter riparare il programma secondo le vostre precise
istruzioni.
Ancora molti ringraziamenti... :-)

2013/10/17 Vladimir Plotnikov <email address hidden>

> same problem on dist-upgrade from 13.04 to 13.10
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1095148).
> https://bugs.launchpad.net/bugs/346386
>
> Title:
> [MASTER] Update fails with invalid package files with "Encountered a
> section with no Package: header"
>
> Status in “apt” package in Ubuntu:
> Fix Released
> Status in “apt” source package in Natty:
> Fix Released
> Status in “apt” source package in Precise:
> Fix Released
> Status in “apt” package in Debian:
> Fix Released
>
> Bug description:
> Binary package hint: adept-updater
>
> Pertinent data printed when attempting to run Updater as follows:
>
> An unresolvable problem occurred while initializing the package
> information.
>
> Please report this bug against the 'update-manager' package and
> include the following error message:
>
> 'E:Encountered a section with no Package: header, E:Problem with
> MergeList /var/lib/apt/lists/us.archive.ubuntu
> .com_ubuntu_dists_intrepid_universe_binary-amd64_Packages, E:The
> package lists or status file could not be parsed or opened.'
>
> WORKAROUND:
> Remove problematic files from /var/lib/apt/lists/ and rerun apt-get
> update.
>
> In the event that one is connected to a network with a proxy server
> that returns html pages (like a web page requesting you to login) and
> not package list files. Those html files will get downloaded to
> /var/lib/apt/lists/ and prevent someone from using a package manager
> until the problem html pages are removed.
>
> TEST CASE:
> 1) download the dummy-proxy attachment from this bug report
> 2) run dummy-proxy (python dummy-proxy) on a precise system (this
> simulates a proxy that is not allowing access to archive.ubuntu.com and
> gives you garbage html instead)
> 2.5) Execute 'sudo -i' in a terminal
> 3) Execute 'http_proxy=http://localhost:8080 apt-get update' in same
> terminal
> 4) Observe the following error messages in your terminal:
> W: GPG error: http://archive.ubuntu.com precise InRelease: File
> /var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists_precise_InRelease
> doesn't start with a clearsigned message
> W: Failed to fetch
> http://archive.ubuntu.com/ubuntu/dists/precise/multiverse/i18n/Index No
> Hash entry in Release file /var/lib/apt/lists/partial/
> archive.ubuntu.com_ubuntu_dists_precise_multiverse_i18n_Index
> W: Failed to fetch
> gzip:/var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists_precise_multiverse_source_Sources
> Encountered a section with no Package: header
> 5) Stop dummy-proxy
> 6) Execute 'sudo apt-get update' in a terminal
> 7) Observe the following error message:
> Reading package lists... Done
> W: GPG error: http://archive.ubuntu.com precise Release: The following
> signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic
> Signing Key <ftpmaste...

Read more...

Displaying first 40 and last 40 comments. View all 119 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.